Subject: Re: bug#846: Bug in handling invisible text, and bug in Pmail.

From: Reiner Steib <[email-masked]>
Date: Tue, 23 Sep 2008 22:44:49 +0200

On Tue, Sep 02 2008, Stefan Monnier wrote:

>> If people have not complained, maybe it is because the use of 
>> invisible text is rare.  What other modes use invisible text?
>
> Indeed, most complaints around invisible text have to do with the
> invisibility itself rather than details of how point is handed in
> its presence.  So invisible text is rare because it's inherently
> problematic (and should hence be avoided whenever possible).

Gnus message mode used invisible text to hide headers while composing
a news/mail message.  But it was changed to use narrowing instead:

,----[ gnus/ChangeLog ]
| 2004-11-22  Romain Francoise  <[email-masked]>
| 
| 	* message.el (message-header-format-alist): Add `From' in list
| 	so that it can be sorted.
| 	(message-fix-before-sending): Widen and sort headers before
| 	sending.
| 	(message-hide-headers): Use narrowing to hide headers by moving
| 	them to the top of the buffer and narrowing to the region
| 	underneath.
`----

Bye, Reiner.
-- 
       ,,,
      (o o)
---ooO-(_)-Ooo---  |  PGP key available  |  http://rsteib.home.pages.de/